| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::detail::MatchesInfo Struct Reference
Images stitching » Features Finding and Images Matching

Structure containing information about matches between two images. More...

`#include <opencv2/stitching/detail/matchers.hpp>`

## Public Member Functions
| MatchesInfo ()
| MatchesInfo (const MatchesInfo &other)
std::vector< uchar > | getInliers ()
std::vector< DMatch > | getMatches ()
MatchesInfo & | operator= (const MatchesInfo &other)

## Public Attributes
double | confidence
| Confidence two images are from the same panorama. More...
int | dst_img_idx
| Images indices (optional) More...
Mat | H
| Estimated transformation. More...
std::vector< uchar > | inliers_mask
| Geometrically consistent matches mask. More...
std::vector< DMatch > | matches
int | num_inliers
| Number of geometrically consistent matches. More...
int | src_img_idx

## Detailed Description

Structure containing information about matches between two images.

It's assumed that there is a transformation between those images. Transformation may be homography or affine transformation based on selected matcher.

See also
  detail::FeaturesMatcher

## Constructor & Destructor Documentation

## ◆ MatchesInfo() [1/2]

cv::detail::MatchesInfo::MatchesInfo | ( |  | ) |

## ◆ MatchesInfo() [2/2]

cv::detail::MatchesInfo::MatchesInfo | ( | const MatchesInfo & | other | ) |

## Member Function Documentation

## ◆ getInliers()

std::vector<uchar> cv::detail::MatchesInfo::getInliers | ( |  | ) |
| inline

## ◆ getMatches()

std::vector<DMatch> cv::detail::MatchesInfo::getMatches | ( |  | ) |
| inline

## ◆ operator=()

MatchesInfo& cv::detail::MatchesInfo::operator= | ( | const MatchesInfo & | other | ) |

## Member Data Documentation

## ◆ confidence

double cv::detail::MatchesInfo::confidence

Confidence two images are from the same panorama.

## ◆ dst_img_idx

int cv::detail::MatchesInfo::dst_img_idx

Images indices (optional)

## ◆ H

Mat cv::detail::MatchesInfo::H

Estimated transformation.

## ◆ inliers_mask

std::vector<uchar> cv::detail::MatchesInfo::inliers_mask

Geometrically consistent matches mask.

## ◆ matches

std::vector<DMatch> cv::detail::MatchesInfo::matches

## ◆ num_inliers

int cv::detail::MatchesInfo::num_inliers

Number of geometrically consistent matches.

## ◆ src_img_idx

int cv::detail::MatchesInfo::src_img_idx

The documentation for this struct was generated from the following file:

- opencv2/stitching/detail/matchers.hpp